## org.apache.fop.extensions
Class ExtensionObj

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.extensions.ExtensionObj

Direct Known Subclasses:
  Label, Outline

public abstract class ExtensionObj
extends FObj

base class for extension objects

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`ExtensionObj(FObj parent, PropertyList propertyList)`

Method Summary
`void` `format(AreaTree areaTree)` Called for root extensions.
`Status` `layout(Area area)` Called for extensions within a page sequence or flow.

Methods inherited from class org.apache.fop.fo.FObj
`addCharacters, end, generatesReferenceAreas, getContentWidth, getName, getProperty, maker, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtensionObj

    public ExtensionObj(FObj parent,
                        PropertyList propertyList)

  Parameters:
    `parent` - the parent formatting object
    `propertyList` - the explicit properties of this object

Method Detail

### layout

    public Status layout(Area area)
                  throws FOPException

  Called for extensions within a page sequence or flow. These extensions are allowed to generate visible areas within the layout.
  Overrides:
    layout in class FObj
  Parameters:
    `area` -

### format

    public void format(AreaTree areaTree)
                throws FOPException

  Called for root extensions. Root extensions aren't allowed to generate any visible areas. They are used for extra items that don't show up in the page layout itself. For example: pdf outlines
  Parameters:
    `areaTree` -

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.